Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(8)

Issue 2703743002: Refactor MemoryCoordinatorProxy (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 months, 1 week ago by bashi
Modified:
4 months, 1 week ago
CC:
chromium-reviews, jam, darin-cc_chromium.org, gavinp+memory_chromium.org, vmpstr+watch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Refactor MemoryCoordinatorProxy Before this CL we used two callbacks to inject content -> base dependency. Now we plan to add another method which will provide remaining memory budget (WIP CL can be found [1]). Rather than adding another callback we should simply use an interface to inject dependency. [1] https://codereview.chromium.org/2479673002/ BUG=693430 Review-Url: https://codereview.chromium.org/2703743002 Cr-Commit-Position: refs/heads/master@{#451573} Committed: https://chromium.googlesource.com/chromium/src/+/4e0e67fdb9bd900fb4f7d6e7166f60a53800e2ed

Patch Set 1 #

Total comments: 4

Patch Set 2 : Remove atomics #

Unified diffs Side-by-side diffs Delta from patch set Stats (+43 lines, -59 lines) Patch
M base/memory/memory_coordinator_proxy.h View 1 1 chunk +15 lines, -13 lines 0 comments Download
M base/memory/memory_coordinator_proxy.cc View 1 1 chunk +18 lines, -14 lines 0 comments Download
M content/browser/browser_main_loop.cc View 1 chunk +2 lines, -12 lines 0 comments Download
M content/browser/memory/memory_coordinator_impl.h View 3 chunks +5 lines, -3 lines 0 comments Download
M content/browser/memory/memory_coordinator_impl.cc View 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/memory/memory_coordinator_impl_unittest.cc View 1 chunk +0 lines, -9 lines 0 comments Download
M content/public/test/memory_coordinator_test_utils.cc View 1 chunk +2 lines, -8 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 25 (14 generated)
bashi
hajimehoshi@: PTAL before asking owners review
4 months, 1 week ago (2017-02-17 08:35:13 UTC) #4
hajimehoshi
lgtm https://codereview.chromium.org/2703743002/diff/1/content/public/test/memory_coordinator_test_utils.cc File content/public/test/memory_coordinator_test_utils.cc (right): https://codereview.chromium.org/2703743002/diff/1/content/public/test/memory_coordinator_test_utils.cc#newcode14 content/public/test/memory_coordinator_test_utils.cc:14: // Make sure that MemoryCoordinatorImpl is initialized. This ...
4 months, 1 week ago (2017-02-17 09:28:30 UTC) #5
bashi
+dcheng@ for base/ review +kinuko@ for content/ review +chrisha@ FYI https://codereview.chromium.org/2703743002/diff/1/content/public/test/memory_coordinator_test_utils.cc File content/public/test/memory_coordinator_test_utils.cc (right): https://codereview.chromium.org/2703743002/diff/1/content/public/test/memory_coordinator_test_utils.cc#newcode14 ...
4 months, 1 week ago (2017-02-19 22:57:18 UTC) #9
kinuko
On 2017/02/19 22:57:18, bashi wrote: > +dcheng@ for base/ review > +kinuko@ for content/ review ...
4 months, 1 week ago (2017-02-20 02:56:42 UTC) #10
dcheng (OOO Jun 25 - Jul 1)
https://codereview.chromium.org/2703743002/diff/1/base/memory/memory_coordinator_proxy.cc File base/memory/memory_coordinator_proxy.cc (right): https://codereview.chromium.org/2703743002/diff/1/base/memory/memory_coordinator_proxy.cc#newcode13 base/memory/memory_coordinator_proxy.cc:13: subtle::AtomicWord g_memory_coordinator = 0; Is it necessary to use ...
4 months, 1 week ago (2017-02-20 03:07:21 UTC) #11
bashi
https://codereview.chromium.org/2703743002/diff/1/base/memory/memory_coordinator_proxy.cc File base/memory/memory_coordinator_proxy.cc (right): https://codereview.chromium.org/2703743002/diff/1/base/memory/memory_coordinator_proxy.cc#newcode13 base/memory/memory_coordinator_proxy.cc:13: subtle::AtomicWord g_memory_coordinator = 0; On 2017/02/20 03:07:21, dcheng wrote: ...
4 months, 1 week ago (2017-02-20 03:17:00 UTC) #12
kinuko
On 2017/02/20 03:17:00, bashi wrote: > https://codereview.chromium.org/2703743002/diff/1/base/memory/memory_coordinator_proxy.cc > File base/memory/memory_coordinator_proxy.cc (right): > > https://codereview.chromium.org/2703743002/diff/1/base/memory/memory_coordinator_proxy.cc#newcode13 > ...
4 months, 1 week ago (2017-02-20 03:22:51 UTC) #13
bashi
On 2017/02/20 03:22:51, kinuko wrote: > On 2017/02/20 03:17:00, bashi wrote: > > > https://codereview.chromium.org/2703743002/diff/1/base/memory/memory_coordinator_proxy.cc ...
4 months, 1 week ago (2017-02-20 04:28:01 UTC) #16
dcheng (OOO Jun 25 - Jul 1)
base lgtm
4 months, 1 week ago (2017-02-20 04:31:44 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2703743002/20001
4 months, 1 week ago (2017-02-20 06:12:58 UTC) #22
commit-bot: I haz the power
4 months, 1 week ago (2017-02-20 06:17:19 UTC) #25
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://chromium.googlesource.com/chromium/src/+/4e0e67fdb9bd900fb4f7d6e7166f...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 23e94e589